List Deposit Addresses
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/addresses \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/addresses"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"data": {
"data": [
{
"asset": "USDC",
"network": "ETH",
"address": "0x5B1E25f4954A3056d9dBb48B20D547DbEc8bac7e",
"create_time": "2026-01-21T17:08:14+08:00"
}
],
"total_pages": 123,
"total_items": 123
}
}Deposits
List Deposit Addresses
Query all generated deposit addresses. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
deposit
/
addresses
List Deposit Addresses
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Page number, default 1
Required range:
x >= 1Items per page, default 20
Required range:
x >= 1Filter by asset code
Filter by network code

